com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface DatabaseFactory

- All Superinterfaces:
    org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface DatabaseFactory
      extends org.eclipse.emf.ecore.EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `DatabasePackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DatabaseFactory` | `eINSTANCE` The singleton instance of the factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnMetadata` | `createColumnMetadata()` Returns a new object of class 'Column Metadata'
    `DatabaseMetadata` | `createDatabaseMetadata()` Returns a new object of class 'Metadata'
    `ForeignKeyColumnMetadata` | `createForeignKeyColumnMetadata()` Returns a new object of class 'Foreign Key Column Metadata'
    `ForeignKeyMetadata` | `createForeignKeyMetadata()` Returns a new object of class 'Foreign Key Metadata'
    `PrimaryKeyColumnMetadata` | `createPrimaryKeyColumnMetadata()` Returns a new object of class 'Primary Key Column Metadata'
    `PrimaryKeyMetadata` | `createPrimaryKeyMetadata()` Returns a new object of class 'Primary Key Metadata'
    `TableMetadata` | `createTableMetadata()` Returns a new object of class 'Table Metadata'
    `DatabasePackage` | `getDatabasePackage()` Returns the package supported by this factory

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final DatabaseFactory eINSTANCE

      The singleton instance of the factory.

  - ### Method Detail

    - #### createTableMetadata

          TableMetadata createTableMetadata()

      Returns a new object of class 'Table Metadata'.
      Returns:
        a new object of class 'Table Metadata'.

    - #### createColumnMetadata

          ColumnMetadata createColumnMetadata()

      Returns a new object of class 'Column Metadata'.
      Returns:
        a new object of class 'Column Metadata'.

    - #### createPrimaryKeyMetadata

          PrimaryKeyMetadata createPrimaryKeyMetadata()

      Returns a new object of class 'Primary Key Metadata'.
      Returns:
        a new object of class 'Primary Key Metadata'.

    - #### createForeignKeyMetadata

          ForeignKeyMetadata createForeignKeyMetadata()

      Returns a new object of class 'Foreign Key Metadata'.
      Returns:
        a new object of class 'Foreign Key Metadata'.

    - #### createPrimaryKeyColumnMetadata

          PrimaryKeyColumnMetadata createPrimaryKeyColumnMetadata()

      Returns a new object of class 'Primary Key Column Metadata'.
      Returns:
        a new object of class 'Primary Key Column Metadata'.

    - #### createForeignKeyColumnMetadata

          ForeignKeyColumnMetadata createForeignKeyColumnMetadata()

      Returns a new object of class 'Foreign Key Column Metadata'.
      Returns:
        a new object of class 'Foreign Key Column Metadata'.

    - #### createDatabaseMetadata

          DatabaseMetadata createDatabaseMetadata()

      Returns a new object of class 'Metadata'.
      Returns:
        a new object of class 'Metadata'.

    - #### getDatabasePackage

          DatabasePackage getDatabasePackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.